<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:context="http://www.springframework.org/schema/context"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:jdbc="http://www.springframework.org/schema/jdbc"
	xmlns:tx="http://www.springframework.org/schema/tx"
	xsi:schemaLocation="
        http://www.springframework.org/schema/beans     
        http://www.springframework.org/schema/beans/spring-beans-4.1.xsd
        http://www.springframework.org/schema/jdbc
        http://www.springframework.org/schema/jdbc/spring-jdbc-4.1.xsd
        http://www.springframework.org/schema/tx
        http://www.springframework.org/schema/tx/spring-tx-4.1.xsd
        http://www.springframework.org/schema/context
        http://www.springframework.org/schema/context/spring-context-4.1.xsd">

	<jdbc:embedded-database id="dataSource" type="HSQL">
		<jdbc:script location="classpath:db/sql/create.sql" />
		<jdbc:script location="classpath:db/sql/insert.sql" />
	</jdbc:embedded-database>

	<bean id="jdbcTemplate"
		class="org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate">
		<constructor-arg ref="comboDataSource" />
	</bean>

	<bean id="comboDataSource" class="com.mchange.v2.c3p0.ComboPooledDataSource"
		destroy-method="close">
		<property name="driverClass" value="org.hsqldb.jdbcDriver" />
		<property name="jdbcUrl" value="jdbc:hsqldb:mem:dataSource" />
		<property name="user" value="sa" />
		<property name="password" value="" />
		<property name="initialPoolSize" value="5" />
		<property name="maxPoolSize" value="15" />
		<property name="minPoolSize" value="1" />
		<property name="idleConnectionTestPeriod" value="360" />
		<property name="maxIdleTimeExcessConnections" value="30" />
		<property name="maxIdleTime" value="1800" />
		<property name="unreturnedConnectionTimeout" value="300" />
		<property name="debugUnreturnedConnectionStackTraces" value="true" />
		<property name="maxConnectionAge" value="0" />
		<property name="preferredTestQuery" value="SELECT 1" />
		<property name="testConnectionOnCheckin" value="true" />
	</bean>

	<tx:annotation-driven proxy-target-class="true"
		transaction-manager="transactionManager" />

	<bean id="transactionManager"
		class="org.springframework.jdbc.datasource.DataSourceTransactionManager">
		<property name="dataSource" ref="comboDataSource" />
	</bean>

</beans>